/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package CiilId.VIEW;

import CiilId.CRUD.CRUD_Pelanggan;
import java.awt.Color;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.view.JasperViewer;


/**
 *
 *
 */
public class AdminPage_Laporan extends javax.swing.JFrame {
    
    private String kasir, nama_bisokop,nomor_studio, judul, waktu_pemesanan, jam_tayang, baris, nomor_bangku, harga;
    private Connection con;
    private Statement stat;
    private ResultSet res;

    /**
     * Creates new form StaffPage_Pelanggan
     */
    public AdminPage_Laporan() {
        initComponents();
        dataTable();
          input_kasir.setBackground(new Color(0,0,0,1));
          input_judul.setBackground(new Color(0,0,0,1));
          input_pemesanan.setBackground(new Color(0,0,0,1));
          input_studio.setBackground(new Color(0,0,0,1));
          input_jamtayang.setBackground(new Color(0,0,0,1));
          input_baris.setBackground(new Color(0,0,0,1));
          input_bangku.setBackground(new Color(0,0,0,1));
          input_harga.setBackground(new Color(0,0,0,1));
    }
    
    private void koneksi(){
        try{
            Class.forName("com.mysql.jdbc.Driver");
            con = DriverManager.getConnection("jdbc:mysql://localhost/dbcillid","root","");
            stat = con.createStatement();
        }catch (ClassNotFoundException | SQLException e){
            JOptionPane.showMessageDialog(null, e);
        }
    }
    
    private void dataTable(){
        DefaultTableModel tabel = new DefaultTableModel();
        tabel.addColumn("ID");
        tabel.addColumn("kasir");
        tabel.addColumn("nomor_studio");
        tabel.addColumn("judul"); 
        tabel.addColumn("waktu-pemesanan"); 
        tabel.addColumn("jam_tayang"); 
        tabel.addColumn("baris"); 
        tabel.addColumn("nomor_bangku"); 
        tabel.addColumn("harga");
        
        table_pelanggan.setModel(tabel);
        
        try{
            koneksi();
            String sql="SELECT * FROM pelanggan";
            res=stat.executeQuery(sql);
            
            while (res.next())
            {
                tabel.addRow(new Object[]{
                    res.getString(1),
                    res.getString(2),
                    res.getString(3),
                    res.getString(4),
                    res.getString(5),
                    res.getString(6),
                    res.getString(7),
                    res.getString(8),
                    res.getString(9), 
                });
            }
        }catch (SQLException e){
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButton4 = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        input_pemesanan = new javax.swing.JTextField();
        input_bangku = new javax.swing.JTextField();
        input_baris = new javax.swing.JTextField();
        input_jamtayang = new javax.swing.JTextField();
        input_studio = new javax.swing.JTextField();
        input_kasir = new javax.swing.JTextField();
        input_harga = new javax.swing.JTextField();
        input_judul = new javax.swing.JTextField();
        hapus = new javax.swing.JButton();
        id_pelanggan = new javax.swing.JLabel();
        jButton1 = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        table_pelanggan = new javax.swing.JTable();
        jLabel1 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();

        jButton4.setText("Kembali");

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setUndecorated(true);

        jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jPanel1.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        input_pemesanan.setForeground(new java.awt.Color(255, 255, 255));
        input_pemesanan.setBorder(null);
        input_pemesanan.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        input_pemesanan.setOpaque(false);
        jPanel1.add(input_pemesanan, new org.netbeans.lib.awtextra.AbsoluteConstraints(150, 140, 200, -1));

        input_bangku.setForeground(new java.awt.Color(255, 255, 255));
        input_bangku.setBorder(null);
        input_bangku.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        input_bangku.setOpaque(false);
        jPanel1.add(input_bangku, new org.netbeans.lib.awtextra.AbsoluteConstraints(450, 140, 110, -1));

        input_baris.setForeground(new java.awt.Color(255, 255, 255));
        input_baris.setBorder(null);
        input_baris.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        input_baris.setOpaque(false);
        jPanel1.add(input_baris, new org.netbeans.lib.awtextra.AbsoluteConstraints(450, 100, 120, -1));

        input_jamtayang.setForeground(new java.awt.Color(255, 255, 255));
        input_jamtayang.setBorder(null);
        input_jamtayang.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        input_jamtayang.setOpaque(false);
        jPanel1.add(input_jamtayang, new org.netbeans.lib.awtextra.AbsoluteConstraints(450, 60, 110, 20));

        input_studio.setForeground(new java.awt.Color(255, 255, 255));
        input_studio.setBorder(null);
        input_studio.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        input_studio.setOpaque(false);
        jPanel1.add(input_studio, new org.netbeans.lib.awtextra.AbsoluteConstraints(160, 180, 200, -1));

        input_kasir.setForeground(new java.awt.Color(255, 255, 255));
        input_kasir.setBorder(null);
        input_kasir.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        input_kasir.setOpaque(false);
        jPanel1.add(input_kasir, new org.netbeans.lib.awtextra.AbsoluteConstraints(150, 60, 190, 20));

        input_harga.setForeground(new java.awt.Color(255, 255, 255));
        input_harga.setBorder(null);
        input_harga.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        input_harga.setOpaque(false);
        jPanel1.add(input_harga, new org.netbeans.lib.awtextra.AbsoluteConstraints(450, 180, 120, -1));

        input_judul.setForeground(new java.awt.Color(255, 255, 255));
        input_judul.setBorder(null);
        input_judul.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        input_judul.setOpaque(false);
        jPanel1.add(input_judul, new org.netbeans.lib.awtextra.AbsoluteConstraints(150, 100, 200, -1));

        hapus.setIcon(new javax.swing.ImageIcon(getClass().getResource("/userselect/image/hapus 2.jpg"))); // NOI18N
        hapus.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                hapusActionPerformed(evt);
            }
        });
        jPanel1.add(hapus, new org.netbeans.lib.awtextra.AbsoluteConstraints(160, 210, 80, 30));
        jPanel1.add(id_pelanggan, new org.netbeans.lib.awtextra.AbsoluteConstraints(598, 63, -1, -1));

        jButton1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/userselect/image/cetak report.jpg"))); // NOI18N
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });
        jPanel1.add(jButton1, new org.netbeans.lib.awtextra.AbsoluteConstraints(280, 210, 90, 30));

        nama_admin1.setForeground(new java.awt.Color(255, 255, 255));
        nama_admin1.setBorder(null);
        nama_admin1.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        nama_admin1.setOpaque(false);
        nama_admin1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                nama_admin1ActionPerformed(evt);
            }
        });
        jPanel1.add(nama_admin1, new org.netbeans.lib.awtextra.AbsoluteConstraints(80, 10, 96, 20));

        table_pelanggan.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null, null, null, null, null},
                {null, null, null, null, null, null, null, null, null},
                {null, null, null, null, null, null, null, null, null},
                {null, null, null, null, null, null, null, null, null}
            },
            new String [] {
                "Judul", "Genre", "Sutradara", "Durasi", "Harga", "Tanggal", "Nomor Studio", "Waktu", "Nomor Kursi"
            }
        ));
        table_pelanggan.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                table_pelangganMouseClicked(evt);
            }
        });
        jScrollPane1.setViewportView(table_pelanggan);

        jPanel1.add(jScrollPane1, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 250, 560, 100));

        jLabel1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel1MouseClicked(evt);
            }
        });
        jPanel1.add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(20, 10, 30, 20));

        jLabel3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/userselect/image/prnt.jpg"))); // NOI18N
        jLabel3.setText("jLabel3");
        jPanel1.add(jLabel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(71, 10, 30, 20));

        jLabel2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/userselect/image/laporan baru.jpg"))); // NOI18N
        jPanel1.add(jLabel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, -1, 360));

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 580, javax.swing.GroupLayout.PREFERRED_SIZE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        setSize(new java.awt.Dimension(580, 360));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void table_pelangganMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_table_pelangganMouseClicked
        DefaultTableModel tabelPelanggan = (DefaultTableModel) table_pelanggan.getModel();
        
        id_pelanggan.setText((String) tabelPelanggan.getValueAt(table_pelanggan.getSelectedRow(), 0));
        input_kasir.setText((String) tabelPelanggan.getValueAt(table_pelanggan.getSelectedRow(), 1));
        input_studio.setText((String) tabelPelanggan.getValueAt(table_pelanggan.getSelectedRow(), 2));
        input_judul.setText((String) tabelPelanggan.getValueAt(table_pelanggan.getSelectedRow(), 3));
        input_pemesanan.setText((String) tabelPelanggan.getValueAt(table_pelanggan.getSelectedRow(), 4));
        input_jamtayang.setText((String) tabelPelanggan.getValueAt(table_pelanggan.getSelectedRow(), 5));
        input_baris.setText((String) tabelPelanggan.getValueAt(table_pelanggan.getSelectedRow(), 6));
        input_bangku.setText((String) tabelPelanggan.getValueAt(table_pelanggan.getSelectedRow(), 7));
        input_harga.setText((String) tabelPelanggan.getValueAt(table_pelanggan.getSelectedRow(), 8));

    }//GEN-LAST:event_table_pelangganMouseClicked

    private void hapusActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_hapusActionPerformed
        try{
            CRUD_Pelanggan CP = new CRUD_Pelanggan(kasir, nomor_studio, judul, waktu_pemesanan, jam_tayang, baris, nomor_bangku, harga);
            if(CP.hapusData(id_pelanggan.getText())){
                JOptionPane.showMessageDialog(null, "Berhasil Dihapus");
                dataTable();
            }else{
                JOptionPane.showMessageDialog(null, "Terjadi Kesalahan");
            }
        }catch(SQLException e){
            System.out.println(e.getMessage());
        }
    }//GEN-LAST:event_hapusActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        try {
        JasperPrint jp = JasperFillManager.fillReport(getClass().getResourceAsStream("report.jasper"), null, filekoneksi.koneksiDb());
        JasperViewer.viewReport(jp, false);
        } catch(Exception e) {
            JOptionPane.showMessageDialog(rootPane, e);
        }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void nama_admin1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_nama_admin1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_nama_admin1ActionPerformed

    private void jLabel1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel1MouseClicked
        // TODO add your handling code here:
          new PageAdmin().show();
        this.dispose();
    }//GEN-LAST:event_jLabel1MouseClicked

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(AdminPage_Laporan.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(AdminPage_Laporan.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(AdminPage_Laporan.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(AdminPage_Laporan.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                new AdminPage_Laporan().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton hapus;
    private javax.swing.JLabel id_pelanggan;
    private javax.swing.JTextField input_bangku;
    private javax.swing.JTextField input_baris;
    private javax.swing.JTextField input_harga;
    private javax.swing.JTextField input_jamtayang;
    private javax.swing.JTextField input_judul;
    private javax.swing.JTextField input_kasir;
    private javax.swing.JTextField input_pemesanan;
    private javax.swing.JTextField input_studio;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton4;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    public static final javax.swing.JTextField nama_admin1 = new javax.swing.JTextField();
    private javax.swing.JTable table_pelanggan;
    // End of variables declaration//GEN-END:variables
}
